# Uses of Interface
org.eclipse.emf.cdo.lm.assembly.AssemblyPackage

Packages that use AssemblyPackage
Package
Description
org.eclipse.emf.cdo.lm.assembly
The generated EMF API of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.assembly.impl
The generated EMF implementation of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.assembly.util
The generated EMF utilities of the CDO Lifecycle Management Assembly model.

## Uses of AssemblyPackage in org.eclipse.emf.cdo.lm.assembly

Fields in org.eclipse.emf.cdo.lm.assembly declared as AssemblyPackage
Modifier and Type
Field
Description
`static final AssemblyPackage`
AssemblyPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.emf.cdo.lm.assembly that return AssemblyPackage
Modifier and Type
Method
Description
`AssemblyPackage`
AssemblyFactory.`getAssemblyPackage()`
Returns the package supported by this factory.

## Uses of AssemblyPackage in org.eclipse.emf.cdo.lm.assembly.impl

Classes in org.eclipse.emf.cdo.lm.assembly.impl that implement AssemblyPackage
Modifier and Type
Class
Description
`class`
`AssemblyPackageImpl`
An implementation of the model Package.
Methods in org.eclipse.emf.cdo.lm.assembly.impl that return AssemblyPackage
Modifier and Type
Method
Description
`AssemblyPackage`
AssemblyFactoryImpl.`getAssemblyPackage()`
`static AssemblyPackage`
AssemblyFactoryImpl.`getPackage()`
Deprecated.
`static AssemblyPackage`
AssemblyPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of AssemblyPackage in org.eclipse.emf.cdo.lm.assembly.util

Fields in org.eclipse.emf.cdo.lm.assembly.util declared as AssemblyPackage
Modifier and Type
Field
Description
`protected static AssemblyPackage`
AssemblyAdapterFactory.`modelPackage`
The cached model package.
`protected static AssemblyPackage`
AssemblySwitch.`modelPackage`
The cached model package